<?php
session_start();

include_once("../scripts/connect.php");
   $conexion=conecta_default();
include_once("../scripts/session.php");
   //Validar Session

    $sesion=new Sesion("","","");/*Se crea un objeto nuevo con el privilegio necesario para la pag. actual*/

    if(!$sesion->isValida("4")){ /*Sesion invalida*/

	 header("Location: ../index.php?err=NoSesion");

    }/*no hay sesion*/

    else{

       $dato=explode("|",$_SESSION['usuario']);
       $sesion->setDatos($dato[0],$dato[1],$dato[2]);
       $sesion->setSesion();

    }
    //fin validar session

   $id_cd=$sesion->id;
  $ok=0;
$continua=0;
  
extract($_POST);

$qCuenta = "SELECT COUNT(id_prod) FROM productos";

	  $cCuenta = mysqli_query($conexion, $qCuenta) or die ('Error (Registro No Encontrado (Generacion de Tabla)): ' . mysqli_error($conexion));

	  while($rCuenta = mysqli_fetch_row($cCuenta))

	  {

	      $cuenta = $rCuenta[0]; // Cantidad de Productos para el contador.

	   };

echo"<center><br><font size=\"5\"><b>Pedidos de Stock</b></font>";
$qp3 = "select nombre from usuarios_ci where idusuarios_ci=$centro";
   $cp3 = mysqli_query($conexion, $qp3) or die ('Error (Registro No Encontrado): ' . mysqli_error($conexion));
$rp3 = mysqli_fetch_object($cp3);	
	$usuario = $rp3->nombre;
			
$qp31 = "select nombre from usuarios_ci where idusuarios_ci=$centroi";
   $cp31 = mysqli_query($conexion, $qp31) or die ('Error (Registro No Encontrado): ' . mysqli_error($conexion));
$rp31 = mysqli_fetch_object($cp31);	
	$usuarioi = $rp31->nombre;			
			
			
			
			echo"<center><br>Se solicitar&aacute; producto al siguiente centro:<br><br>		";
		if($centro==100)
		echo"<table border=\"1\">
		<tr><td align=\"center\"><b>100</b></td><td><- Centro de Distribuci&oacute;n</td></tr>
		<tr><td>Encargado:</td><td><b>Almacen General</b></td></tr>
		</table>";
		else{
		echo"<table border=\"1\">
		<tr><td align=\"center\">Centro a recibir</td><td><b>$centroi $usuarioi</b></td></tr>
		<tr><td>Almacen de salida</td><td><b>$centro $usuario</b></td></tr>
		</table>";}
		echo"
		<form name=\"Agrega3\" action=\"pedidostock3.php\" method=\"post\">
		
			<br><br><table border=\"1\">
			<tr bgcolor=\"#594106\"><th><font color=\"#FFFFFF\">Solicitado</font></th><th><font color=\"#FFFFFF\">Existencia</font></th><th><font color=\"#FFFFFF\">Producto</font></th>
			<th><font color=\"#FFFFFF\">ID</font></th></tr>";
	   		for ($k=0; $k<$cuenta; $k++)
		   	{
		   		if (@$_POST["cant$k"] > 0)
				{$A4[$k]=$_POST["copia_id_prod$k"];
					$qp = "select cantidad from stock where idcd='$centro' and idprod='$A4[$k]'";
   $cp = mysqli_query($conexion, $qp) or die ('Error (Registro No Encontrado): ' . mysqli_error($conexion));
$rp = mysqli_fetch_object($cp);	
	$existencia = $rp->cantidad;
						
	   				$A1[$k]=$_POST["cant$k"];
	   				$A2[$k]=$_POST["copia_nombreProd$k"];
	   				
					$A3[$k]=$_POST["existencia$k"];
					if($A1[$k]<=$existencia){
		   			echo "<font size=2><tr><td bgcolor=\"#e8d78d\" align=\"center\" width=\"30\">$A1[$k]</td>  <td align=\"center\" width=\"60\">$existencia</td><td align=\"center\" width=\"160\">$A2[$k]</td>  
					<td align=\"center\" width=\"60\">$A4[$k]</td></font></tr>";}else{echo"</table><br><br><font size=\"5\" color=\"#660033\">Error no se puede pedir mas de lo existente $A2[$k]</font>"; $continua=1;}
		   			
		   		}	
		   	}echo"</table><br>Concepto / Observaciones<br><TEXTAREA NAME=\"comments\" COLS=\"40\" ROWS=\"3\"></TEXTAREA><br><font color=\"red\" size=\"+1\"><b>Favor de revisar el pedido y confirmar con el centro<br>Los pedidos de stock no se pueden eliminar</b></font><br><br>";	
			
			if($continua!=1){
			$temporal=serialize($A2);
			$strenc = urlencode($temporal);
				$temporal2=serialize($A1);
				$strenc2 = urlencode($temporal2);
				$temporal3=serialize($A4);
				$strenc3 = urlencode($temporal3);

			echo"
			<input type=hidden name=copia_cuenta value=$cuenta>
			<input type=hidden name=cde value=$centro>
			<input type=hidden name=cdi value=$centroi>
<input type=hidden name=cantidad value='$strenc2'>
<input type=hidden name=nombre_prod value='$strenc'>
<input type=hidden name=id_prod value='$strenc3'>
			<input type=\"submit\" value=\"Aceptar y dar de alta en sistema\" name=\"hacer_pedido\"></form>
			
			";}else
			{echo"<br>Vuelve a intentar desde el principio";
			}




?>



